title: GitLab Duo Proで開発をスピードアップ
og_title: GitLab Duo Proで開発をスピードアップ
description: >-
  生成AIでコーディングを大幅パワーアップ。ソースコード保護、IDEインテグレーション、多言語サポートなどその他さまざまな機能を提供！月額わずか9ドルで開始できます。今すぐお問い合わせください。
twitter_description: >-
  生成AIでコーディングを大幅パワーアップ。ソースコード保護、IDEインテグレーション、多言語サポートなどその他さまざまな機能を提供！月額わずか9ドルで開始できます。今すぐお問い合わせください。
image_title: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
og_description: >-
  生成AIでコーディングを大幅パワーアップ。ソースコード保護、IDEインテグレーション、多言語サポートなどその他さまざまな機能を提供！月額わずか9ドルで開始できます。今すぐお問い合わせください。
og_image: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
twitter_image: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
aiContent:
  aiCard:
    eyebrow: 自律型AI
    title: エンタープライズグレードの安全な自律型AI
    body: >-
      自律型AIはソフトウェア開発を大きく変え、デベロッパーがこれまで考えもしなかった規模でソフトウェアを作れるようになっていますが、その一方で可視性やセキュリティに関する重要な疑問も生じています。GitLab DevSecOpsプラットフォームは、セキュリティとコントロールを維持しつつ開発プロセスを迅速化できるよう、すべてを統合しました。
  aiAccordion:
  - header: 大規模に使用できる安全な自律型AI
    icon:
      name: ai-vulnerability-resolution
      variant: marketing
      color: '#fff'
    text: >-
     最も包括的なDevSecOpsプラットフォームに構築された自律型AIを活用し、コード支援を超えて、セキュリティレビューからデプロイプロセスまで、ソフトウェア開発の全体的なエクスペリエンスを変革します。
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: secure agentic ai at scale
    data_ga_location: body
  - header: コンテキスト認識AIエージェント
    icon:
      name: ai-git-suggestions
      variant: marketing
      color: '#fff'
    text: >-
      GitLab Duo Workflowは、IDE内のデベロッパーのタスクから組織のセキュリティポリシー、マージリクエストなど、ソフトウェア開発ライフサイクル全体のコンテキストを理解します。
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: context-aware ai agents
    data_ga_location: body
  - header: エンタープライズグレードのコントロールとセキュリティ
    icon:
      name: eye
      variant: marketing
      color: '#fff'
    text: >-
      GitLab Duo Workflowは、組織的コントロールのガードレールを備えたエンタープライズグレードの安全性、セキュリティ、ガバナンスなど、最も包括的なDevSecOpsプラットフォームが持つ独自の利点を活用しています。
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: enterprise-grade control and security
    data_ga_location: body
cards:
  - description: >-
      ##### 安全な自律型AIソフトウェア開発の未来であるGitLab Duo Workflowのご紹介。


      最も包括的なDevSecOpsプラットフォーム上に構築されたGitLab Duo Workflowは、ソフトウェア開発ライフサイクル全体を理解し、エンタープライズグレードのセキュリティとコントロールを維持します。


      ** GitLab Duo Workflowは、デベロッパーが以下のことを行えるよう支援します。**
      
      - 新規コードプロジェクトの立ち上げ

      - コードのモダナイズ

      - コンテキストタスクの実行

      - ドキュメントの作成

      - テストカバレッジの向上

      - その他多数


      プライベートベータウェイトリストに登録して、SDLC全体を理解するAIエージェントが何を可能にするのかを確認しましょう。

    video: https://player.vimeo.com/video/1059060959?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=584798479
    variant: Default
duoCombinedHero:
  title: 安全な自律型AIソフトウェア開発の未来
  primaryButton: 
    variant: tertiary
    data_ga_name: cta
    data_ga_location: hero
    text: 今すぐ登録
    href: '#form'
    icon: 
      name: arrow-down
      variant: product

  blurb: Workflow
  id: gitlab-duo-combined-hero
  backgroundImage:
    src: >-
      //images.ctfassets.net/xz1dnu24egyd/2pLToUWGc7Vm7nnD3cuS30/674083fec72cf16a5867d8611032ba30/cb3747f9dbe2e63a8fe7d955f1e58f54.png
form:
  internalName: 28516 (pro form)
  formId: '28516'
  formDataLayer: sales
  registrationClosed: false
  blurb: >
    __GitLab Duo Workflowベータ版のリストに登録する__

    GitLab Duo Workflowベータプログラムに参加できるようになり次第、お知らせいたします。
resources:
  data:
    title: GitLab AIの新機能
    column_size: 4
    cards:
      - header: GitLabでAI/機械学習の最新情報を入手する
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/7m9wdMydyUHx9TS6oMqWw3/7e0d0ff4efb8ba2191e9a7131c7007f7/gitlabduo.webp
        link_text: 詳細はこちら
        href: /blog/categories/ai-ml/
        data_ga_name: gitlab-duo-chat-beta
        data_ga_location: cs sale body
        event_type: ブログ
      - header: '2025年のAIトレンド：自律型AI、GitLab Duoセルフホストモデルなど'
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/1JQaFtSzNn8wLh4oeCzO5t/15dc0323234e2e0fad1f9a7cc527b0f0/ai-fireside-chat_2__1_.png
        link_text: 詳細はこちら
        href: /the-source/ai/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more/
        data_ga_name: gitlab-ai-assisted-features
        data_ga_location: body
        event_type: ブログ
      - header: AIでソフトウェア開発の複雑さを軽減
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/6hNLYhTjD4iG3o5zco602y/bdcbac01525ba265578625d65a4620f8/ai-experiment-stars.png
        link_text: 詳細はこちら
        href: /the-source/ai/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more/
        data_ga_name: ai-assisted-code-suggestions
        event_type: ブログ
submittedHero:
  title: お問い合わせいただきありがとうございます！
  description: GitLab Duo Workflowのご利用開始方法について、近日中にご連絡いたします。
  id: thank-you-hero
  backgroundImage:
    src: >-
      //images.ctfassets.net/xz1dnu24egyd/6Wyo8uOL4oJC7UI288hGNF/667cb43e43cf809e7f5acd33b40eda72/thankyou-stars-v2.svg
  icon: slp-support